using System;

namespace iOpener
{
	/// <summary>
	/// This class is used to pass parameters to the DecryptLibrary function
	/// in the iOpener class in order to be able to call it in a different thread using
	/// the ThreadPool framework.  I probably could have passed the params with an array
	/// or struct, but this is a bit more explicit.
	/// </summary>
	public class DecryptLibraryParameters

	{
		private iOpener.LogHandler				lh;
		private bool							shouldCopyFiles;

		/// <summary>
		/// This constructor method inits the params to pass to the DecryptLibrary fxn.
		/// </summary>
		/// <param name="lh"></param>
		/// <param name="shouldCopyFiles"></param>
		public DecryptLibraryParameters(iOpener.LogHandler lh, bool shouldCopyFiles)
		{
			this.lh = lh;
			this.shouldCopyFiles = shouldCopyFiles;
		}

		/// <summary>
		/// This is the getter method for the logHandler inst var/param
		/// </summary>
		/// <returns></returns>
		public iOpener.LogHandler GetLogHandler()
		{
			return lh;
		}

		/// <summary>
		/// This is the getter method for the shouldCopyFiles inst var/param
		/// </summary>
		/// <returns></returns>
		public bool ShouldCopyFiles()
		{
			return shouldCopyFiles;
		}
	}
}
